#
# spec file for package perl-Mon (Version 0.11)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-Mon
%define PackageName perl-Mon
%define Packagebuild Mon
Version:        0.11
Release:        310.2
Summary:        Client Perl Modules for Mon
Group:          System/Monitoring
License:        LGPL
Source:         http://www.kernel.org/pub/software/admin/mon/Mon-%{version}.tar.gz
URL:            http://www.kernel.org/software/mon/
Requires:       perl = %{perl_version}
AutoReqProv:  on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This is the Perl5 module for interfacing with the Mon system monitoring
package. Currently only the client interface is implemented, but more
things like special logging routines and persistent monitors are being
considered.

mon is a tool for monitoring the availability of services. More
information can be found at http://www.kernel.org/software/mon/.



Authors:
--------
    Jim Trockij <trockij@transmeta.com>

%debug_package
%prep
%setup -q -n %{Packagebuild}-%{version}

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS"
make
make test

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, 0755)
%doc README* CHANGE* COPY* VERSION
%doc %{_mandir}/man?/*
%{perl_vendorlib}/Mon
%{perl_vendorarch}/auto/Mon
/var/adm/perl-modules/%{name}

%changelog -n perl-Mon
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 - dmueller@suse.de
- add norootforbuild
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Thu Jul 24 2003 - schwab@suse.de
- Use install_vendor.
* Tue Jul 01 2003 - ro@suse.de
- use perl_process_packlist macro
- add perllocal.pod snippet suse-style and remove postinstall
* Wed Jun 18 2003 - coolo@suse.de
- package directories
* Wed Sep 18 2002 - ro@suse.de
- removed bogus self-provides
* Fri Jul 26 2002 - lmb@suse.de
- Renamed from mon-perl to perl-Mon for consistency
* Fri Jul 26 2002 - lmb@suse.de
- Adapted from Conectiva Linux to United Linux
* Wed Jul 24 2002 - Fbio Oliv Leite <olive@conectiva.com.br>
- Version: mon-perl-0.11-1ul
- Adapted for United Linux
* Tue Sep 25 2001 - Magic Bumper <dist@conectiva.com.br>
- Version: mon-perl-0.11-3cl
- forced rebuild against perl 5.6.1
* Thu Jun 07 2001 - Claudio Matsuoka <claudio@conectiva.com>
- Version: mon-perl-0.11-2cl
- added sh-utils and textutils to predependencies (closes: #3489)
* Sat Feb 03 2001 - Raul Dias <rsd@conectiva.com>
- New upstream release: 0.11
- new spec file format
- Applyed "test config" patch in the source.
* Thu Nov 02 2000 - Wanderlei Antonio Cavassin <cavassin@conectiva.com>
- prerequires perl
* Sat Oct 28 2000 - Raul Dias <rsd@conectiva.com>
- Updated spec file
- eliminate sed use
* Sun Oct 01 2000 - Raul Dias <rsd@conectiva.com>
- updated spec file
* Wed Sep 06 2000 - Raul Dias <rsd@conectiva.com>
- updated to 0.10.
* Tue Jun 06 2000 - Raul Dias <rsd@conectiva.com>
- Fixed instalation without %%doc
* Mon May 22 2000 - Raul Dias <rsd@conectiva.com>
- New spec allow compiling with perl version 5.00503 and >= 5.6.0
* Tue May 16 2000 - Raul Dias <rsd@conectiva.com>
- New spec format
* Mon May 15 2000 - Fbio Oliv Leite <olive@conectiva.com>
- Corrected some directories in the spec
* Thu Apr 06 2000 - Fbio Oliv Leite <olive@conectiva.com>
- Initial RPM packaging
